summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-p2p/perlgcache/files/reconfig')
-rw-r--r--net-p2p/perlgcache/files/reconfig19
1 files changed, 19 insertions, 0 deletions
diff --git a/net-p2p/perlgcache/files/reconfig b/net-p2p/perlgcache/files/reconfig
new file mode 100644
index 000000000000..119548776bee
--- /dev/null
+++ b/net-p2p/perlgcache/files/reconfig
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+function die ()
+{
+ echo
+ echo "***"
+ echo "*** Fatal error: $*"
+ echo "***"
+ exit 1
+}
+
+if [ $1 = "start" -o $1 = "install" ]; then
+ cd "${MY_INSTALLDIR}" || die
+ if ( test -e data ); then
+ chmod 666 data
+ else
+ echo "Error: unable to find data directory."
+ fi
+fi